uudoc(1)

NAME
uudoc - Print CRC and size for each file

SYNOPSIS
uudoc [-a|--algorithm] [--untagged] [--tag] [-l|--length] [--raw] [--strict] [-c|--check] [--base64] [-w|--warn] [--status] [--quiet] [--ignore-missing] [-z|--zero] [-h|--help] [-V|--version] [file]

DESCRIPTION
Print CRC and size for each file

OPTIONS

-a, --algorithm <ALGORITHM>
    select the digest type to use. See DIGEST below
    [possible values: sysv, bsd, crc, crc32b, md5, sha1, sha2, sha3, blake2b, sm3, sha224, sha256, sha384, sha512, blake3, shake128, shake256]

--untagged
    create a reversed style checksum, without digest type

--tag
    create a BSD style checksum, undo --untagged (default)

-l, --length
    digest length in bits; must not exceed the max for the blake2 algorithm and must be a multiple of 8

--raw
    emit a raw binary digest, not hexadecimal

--strict
    exit non-zero for improperly formatted checksum lines

-c, --check
    read hashsums from the FILEs and check them

--base64
    emit a base64 digest, not hexadecimal

-w, --warn
    warn about improperly formatted checksum lines

--status
    don't output anything, status code shows success

--quiet
    don't print OK for each successfully verified file

--ignore-missing
    don't fail or report status for missing files

-z, --zero
    end each output line with NUL, not newline, and disable file name escaping

-h, --help
    Print help

-V, --version
    Print version

EXTRA
Examples Display a 32-bit checksum, size in bytes and filename: cksum {{path/to/file}} > The examples are provided by the [tldr-pages project](https://tldr.sh) under the [CC BY 4.0 License](https://github.com/tldr-pages/tldr/blob/main/LICENSE.md). > > Please note that, as uutils is a work in progress, some examples might fail.

VERSION
v(uutils coreutils) 0.4.0